package com.yidianling.muse.bean

/**
 * 冥想模块所有数据
 * Created by xj on 2019/9/16.
 */
class MeditationPlayModuleBean : HomeItemBaseBean {
    constructor():super(false)
    constructor(isRealEmpty:Boolean):super(isRealEmpty)

    var meditationId:Long? = null
    var mediaId:Long? = null
    var mediaType:Int?=null
    var playDetailUrl:String? = null

    var mediaList: ArrayList<MeditationDetail>? = null

    data class MeditationDetail(
        val mediaType:Int? = null,
        val mediaId:Long?=null,
        val meditationId:Long,
        val title:String,
        val author:String,
        val coverImageUrl:String,
        val mediaUrl:String,
        val duration:Float?=null,
        val status:Int,
        val broadcastTime:Int,
        val businessType:Int,
        val buried:String?=null,
        val desc:String?=null,
        val coverImageUrlIcon:String
        )

    override fun toString(): String {
        return "MeditationPlayModuleBean(meditationId=$meditationId, mediaId=$mediaId, mediaType=$mediaType, playDetailUrl=$playDetailUrl, mediaList=$mediaList)"
    }

}